import type Filter from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-lib/v1/queries/structured/Filter";
export declare function getPreviousDateFilter(filter: Filter): any[];
export declare function isPreviousDateFilter(filter: Filter): boolean;
export declare function getCurrentDateFilter(filter: Filter): any[];
export declare function isCurrentDateFilter(filter: Filter): boolean;
export declare function getNextDateFilter(filter: Filter): any[];
export declare function isNextDateFilter(filter: Filter): boolean;
export declare function getBetweenDateFilter(filter: Filter): any[];
export declare function isBetweenFilter(filter: Filter): boolean;
export declare function getBeforeDateFilter(filter: Filter): any[];
export declare function isBeforeDateFilter(filter: Filter): boolean;
export declare function getOnDateFilter(filter: Filter): any[];
export declare function isOnDateFilter(filter: Filter): boolean;
export declare function getAfterDateFilter(filter: Filter): any[];
export declare function isAfterDateFilter(filter: Filter): boolean;
export declare function getExcludeDateFilter(filter: Filter): any[];
export declare function isExcludeDateFilter(filter: Filter): boolean;
export declare function getTodayDateFilter(filter: Filter): any[];
export declare function getYesterdayDateFilter(filter: Filter): any[];
export declare function getLastWeekDateFilter(filter: Filter): any[];
export declare function getLast7DaysDateFilter(filter: Filter): any[];
export declare function getLast30DaysDateFilter(filter: Filter): any[];
export declare function getLastMonthDateFilter(filter: Filter): any[];
export declare function getLast3MonthsDateFilter(filter: Filter): any[];
export declare function getLast12MonthsDateFilter(filter: Filter): any[];
export declare function getNotNullDateFilter(filter: Filter): (string | import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").FieldReference | null | undefined)[];
export declare function getIsNullDateFilter(filter: Filter): (string | import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").FieldReference | null | undefined)[];
export declare function getInitialSpecificDatesShortcut(filter: Filter): any[];
export declare function getInitialRelativeDatesShortcut(filter: Filter): any[];
export declare function getInitialExcludeShortcut(filter: Filter): any[];
export declare function getInitialDayOfWeekFilter(filter: Filter): (string | import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").FieldReference | null | undefined)[];
export declare function getInitialMonthOfYearFilter(filter: Filter): (string | import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").FieldReference | null | undefined)[];
export declare function getInitialQuarterOfYearFilter(filter: Filter): (string | import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").FieldReference | null | undefined)[];
export declare function getInitialHourOfDayFilter(filter: Filter): (string | import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").FieldReference | null | undefined)[];
export declare const isDayOfWeekDateFilter: (filter: Filter) => boolean;
export declare const isMonthOfYearDateFilter: (filter: Filter) => boolean;
export declare const isQuarterofYearDateFilter: (filter: Filter) => boolean;
export declare const isHourOfDayDateFilter: (filter: Filter) => boolean;
export declare function getDateFilterValue(mbql: any[]): any;
export declare function setDateFilterValue(mbql: any[], newValue: string | null): any[];
export declare function clearDateFilterTime(mbql: any[]): any[];
export declare function getDateRangeFilterValue(mbql: any[]): any[];
export declare function setDateRangeFilterValue(mbql: any[], [startValue, endValue]: [string | null, string | null]): any[];
export declare function clearDateRangeFilterTime(mbql: any[]): any[];
